<?php
// Credit Louviaux Jean-Marc 2014
define('checkaccess', TRUE);
include('../config/config_main.php');
date_default_timezone_set('GMT');
if (!empty($_GET['invtnum']) && is_numeric($_GET['invtnum'])) {
    $invtnum = $_GET['invtnum'];
}
include("../config/config_invt$invtnum.php");

if (isset($_COOKIE['user_lang'])) {
    $user_lang = $_COOKIE['user_lang'];
} else {
    $user_lang = 'English';
}

include('../languages/' . $user_lang . '.php');

$dir    = '../data/invt' . $invtnum . '/csv/';
$output = glob($dir . '*.csv');
sort($output);
$cnt    = count($output);
$option = $output[$cnt - 1];
$option = str_replace($dir, '', $option);

$year  = substr($option, 0, 4);
$month = substr($option, 4, 2);
$day   = substr($option, 6, 2);

$fileUTCdate = strtotime(date("$year$month$day"));
$todayUTC    = strtotime(date('Ymd'));

$line_num = 1;
if ($handle = fopen("$dir$option", 'r')) {
    while ($line = fgetcsv($handle, 1000, ',')) {
        if ($line_num > 1) {
            $SDTE[$line_num] = $line[0];
            $KWHT[$line_num] = $line[27];
            
            if ($line_num == 2) {
                $pastline_num = 2;
            } else {
                $pastline_num = $line_num - 1;
            }
            
            $hour        = substr($SDTE[$line_num], 0, 2);
            $minute      = substr($SDTE[$line_num], 3, 2);
            $seconde     = substr($SDTE[$line_num], 6, 2);
            $pasthour    = substr($SDTE[$pastline_num], 0, 2);
            $pastminute  = substr($SDTE[$pastline_num], 3, 2);
            $pastseconde = substr($SDTE[$pastline_num], 6, 2);
            
            $UTCdate = strtotime($year . '-' . $month . '-' . $day . ' ' . $hour . ':' . $minute . ':' . $seconde);
            
            $diffUTCdate = strtotime($year . '-' . $month . '-' . $day . ' ' . $pasthour . ':' . $pastminute . ':' . $pastseconde);
            $diffTime    = $UTCdate - $diffUTCdate;
            
            if ($diffTime != 0) {
                $AvgPOW = round((((($KWHT[$line_num] - $KWHT[$pastline_num]) * 3600) / $diffTime) * 1000), 1);
            } else {
                $AvgPOW = 0;
            }
            
            if (!isset($MaxPow)) {
                $MaxPow = 0;
            }
            if ($AvgPOW >= $MaxPow) { // Maximum
                $MaxPow  = $AvgPOW;
                $MaxTime = $UTCdate * 1000;
            }
        }
        $line_num++;
    }
    fclose($handle);
}

$line_num--;
// Updating title
$KWHD = round((($KWHT[$line_num] - $KWHT[2]) * ${'CORRECTFACTOR' . $invtnum}), 1);
$KWHD = number_format($KWHD, 1, $DPOINT, $THSEP);

if ($fileUTCdate == $todayUTC) {
    $PTITLE = stripslashes("$lgTODAYTITLE ($KWHD kWh)");
} elseif ($fileUTCdate == strtotime(date("Ymd", strtotime("-1 day")))) {
    $PTITLE = stripslashes("$lgYESTERDAYTITLE ($KWHD kWh)");
} else {
    $dday   = date($DATEFORMAT, $fileUTCdate);
    $PTITLE = stripslashes("$dday ($KWHD kWh)");
}

$data = array(
    'LastTime' => $UTCdate * 1000,
    'LastValue' => $AvgPOW,
    'MaxTime' => $MaxTime,
    'MaxPow' => $MaxPow,
    'PTITLE' => $PTITLE
);

header("Content-type: text/json");
echo json_encode($data);
?>
